Subject: plant or ag clipart

From: [email-masked] (Davepmb)
Date: 23 May 1995 22:34:31 -0400

Any suggestions on where I can find clipart that includes seeds,
germinating plants, corn or soybean plants, planting and harvesting
equipment, etc?  Any format that can be used by Powerpoint or Canvas for
Windows would be helpful.